Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQTextEncoder Class Reference

The TQTextEncoder class provides a state-based encoder. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqtextcodec.h>`

List of all member functions.

## Public Members

- virtual ~TQTextEncoder ()
- virtual TQCString fromUnicode ( const TQString & uc, int & lenInOut ) = 0

## Detailed Description

The TQTextEncoder class provides a state-based encoder.

The encoder converts Unicode into another format, remembering any state that is required between calls.

See also TQTextCodec::makeEncoder() and Internationalization with TQt.

## Member Function Documentation

### TQTextEncoder::~TQTextEncoder ()`[virtual]`

Destroys the encoder.

### TQCString TQTextEncoder::fromUnicode ( const TQString & uc, int & lenInOut )`[pure virtual]`

Converts lenInOut characters (not bytes) from uc, producing a TQCString. lenInOut will be set to the length of the result (in bytes).

The encoder is free to record state to use when subsequent calls are made to this function (for example, it might change modes with escape sequences if needed during the encoding of one string, then assume that mode applies when a subsequent call begins).

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.